com.google.gwt.resources.gss.ast

## Class CssDotPathNode

- java.lang.Object
- - com.google.gwt.thirdparty.common.css.compiler.ast.CssNode
  - - com.google.gwt.thirdparty.common.css.compiler.ast.CssValueNode
    - - com.google.gwt.resources.gss.ast.CssDotPathNode

-     public class CssDotPathNode
      extends com.google.gwt.thirdparty.common.css.compiler.ast.CssValueNode

  Represents a sequence of no-arg method invocations.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CssDotPathNode(java.lang.String dotPath, java.lang.String prefix, java.lang.String suffix, com.google.gwt.thirdparty.common.css.SourceCodeLocation sourceCodeLocation)`
    `CssDotPathNode(java.lang.String instance, java.lang.String dotPath, java.lang.String prefix, java.lang.String suffix, com.google.gwt.thirdparty.common.css.SourceCodeLocation sourceCodeLocation)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.thirdparty.common.css.compiler.ast.CssValueNode` | `deepCopy()`
    `java.lang.String` | `getInstance()`
    `java.lang.String` | `getPath()`
    `java.util.List<java.lang.String>` | `getPathElements()`
    `java.lang.String` | `getPrefix()`
    `java.lang.String` | `getSuffix()`
    `static java.lang.String` | `resolveExpression(java.lang.String instance, java.lang.String path, java.lang.String prefix, java.lang.String suffix)`

    - ### Methods inherited from class com.google.gwt.thirdparty.common.css.compiler.ast.CssValueNode

      `getIsDefault, getValue, leaves, setIsDefault, setValue, toString`

    - ### Methods inherited from class com.google.gwt.thirdparty.common.css.compiler.ast.CssNode

      `ancestors, appendComment, equals, getComments, getParent, getShouldBeFlipped, getSourceCodeLocation, getVisitController, hasComment, hashCode, inFunArgs, setComments, setShouldBeFlipped, setSourceCodeLocation`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CssDotPathNode

          public CssDotPathNode(java.lang.String dotPath,
                                java.lang.String prefix,
                                java.lang.String suffix,
                                com.google.gwt.thirdparty.common.css.SourceCodeLocation sourceCodeLocation)

    - #### CssDotPathNode

          public CssDotPathNode(java.lang.String instance,
                                java.lang.String dotPath,
                                java.lang.String prefix,
                                java.lang.String suffix,
                                com.google.gwt.thirdparty.common.css.SourceCodeLocation sourceCodeLocation)

  - ### Method Detail

    - #### resolveExpression

          public static java.lang.String resolveExpression(java.lang.String instance,
                                                           java.lang.String path,
                                                           java.lang.String prefix,
                                                           java.lang.String suffix)

    - #### deepCopy

          public com.google.gwt.thirdparty.common.css.compiler.ast.CssValueNode deepCopy()

      Overrides:
        `deepCopy` in class `com.google.gwt.thirdparty.common.css.compiler.ast.CssValueNode`

    - #### getPath

          public java.lang.String getPath()

    - #### getSuffix

          public java.lang.String getSuffix()

    - #### getPrefix

          public java.lang.String getPrefix()

    - #### getInstance

          public java.lang.String getInstance()

    - #### getPathElements

          public java.util.List<java.lang.String> getPathElements()